/**
* FTP App
* Defined an App to manage unas ftp
*/
var FtpApp = FtpApp || {};  //Define FTP App namespace.
/**
*Constructor UNAS FTP App
*/
FtpApp.App = function () {
    this.id = 'FTP Service';
    this.name = 'FTP Service';
    this.version = '6.0.19';
    this.active = false;
    this.menuIcon = '/apps/ftp/images/logo.png?v=6.0.19&';
    this.shortcutIcon = '/apps/ftp/images/logo.png?v=6.0.19&';
    this.entryUrl = '/apps/ftp/ftp.html?v=6.0.19&';
    //this.entryHelpUrl = '/apps/ftp/ftp_help.html?v=6.0.19&';
    var self = this;
    this.FtpAppWindow = function () { //create app window
        if(UNAS.CheckAppState('FTP Service')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'FtpAppWindow',
            title: UNAS._('FTP Service'),
            icon: '/apps/ftp/images/logo_small.png?v=6.0.19&',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/ftp/ftp.html?v=6.0.19&',
            require: {  css: ['/apps/ftp/css/ftp.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("FTP Service",'FtpAppWindow')}
        });
    };
    this.FtpUninstall = function (){
        UNAS.RemoveDesktopShortcut('FTP Service');
        UNAS.RemoveMenu('FTP Service');
        UNAS.RemoveAppFromGroups('FTP Service', 'ControlPanel');
        UNAS.RemoveAppFromGroups('FTP Service', 'Help');
        UNAS.RemoveAppFromApps('FTP Service');
    };
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'FTP Service', '', this.FtpAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'FTP Service', this.FtpAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {"Type" : 'Network', 'Location' : 2, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {"Type" : 'Network', 'Location' : 2, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('FTP Service', UNAS._('FTP Service')); //translate menu
        //UNAS.SetShortcutTitle('FTP Service', UNAS._('FTP Service'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('FtpAppWindow', UNAS._('FTP Service'));
        }
    };
    UNAS.LoadTranslation('/apps/ftp/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.FtpAppWindow, this.FtpUninstall);
};

new FtpApp.App();
